// <file>
//     <license see="prj:///doc/license.txt"/>
//     <owner name="Stefan Wallner" />
// </file>


using System;
using System.Reflection;

using ICSharpCode;
using ICSharpCode.Core;
using ICSharpCode.SharpDevelop;
using CocoAddin.Commands;

namespace CocoAddin.Tools
{
	/// <summary>
	/// this command is loaded before all AddIns are loaded at the startup of SharpDevelop
	/// </summary>
	public class AutoStart :  AbstractCommand
	{
		public override void Run(){
			ResourceService.RegisterImages("CocoAddin.Resources.BitmapResources", Assembly.GetExecutingAssembly());
			StringParser.RegisterStringTagProvider(new CocoAddinStringTagProvider());
		}
	}
}
